Skip to content
Start here

Update log retention flag

client.logs.control.retention.create(RetentionCreateParams { zone_id, flag } params, RequestOptionsoptions?): RetentionCreateResponse { flag } | null
POST/zones/{zone_id}/logs/control/retention/flag

Updates log retention flag for Logpull API.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Logs Write
ParametersExpand Collapse
params: RetentionCreateParams { zone_id, flag }
zone_id: string

Path param: Identifier.

maxLength32
flag?: boolean

Body param: The log retention flag for Logpull API.

ReturnsExpand Collapse
RetentionCreateResponse { flag }
flag?: boolean

The log retention flag for Logpull API.

Update log retention flag

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const retention = await client.logs.control.retention.create({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(retention.flag);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "flag": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "flag": true
  }
}